software-center depends on python-debtagshw, which is not built anymore

Bug #1616379 reported by Matthias Klose on 2016-08-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Ubuntu Desktop

Bug Description

in yakkety, software-center depends on python-debtagshw, which is not built anymore in yakkety-proposed. Please drop this dependency.

Or can software-center be removed altogether?

Matthias Klose (doko) on 2016-08-24
Changed in software-center (Ubuntu):
assignee: nobody → Ubuntu Desktop (ubuntu-desktop)
importance: Undecided → High
milestone: none → ubuntu-16.09
status: New → Confirmed
tags: added: ftbfs
Jeremy Bicha (jbicha) wrote :

Some people prefer software-center because it displays all packages, graphical or not. We could point them to gnome-packagekit but gpk doesn't do as much as software-center does.

Another reason I think people use software-center is because gnome-software is a bit buggy. I think switching gnome-software from aptdaemon to PackageKit (I presume for 17.04) will help here.

If we try to remove aptdaemon at the beginning of the 17.04 cycle, that gives 6 months for someone to step up to port software-center to PackageKit. If no one does, it provides reasonable justification for why software-center isn't available for install.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers